commit:     b04a6b8c718e96fb5eeb045c69eb37baf75f0c12
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 20 16:32:07 2023 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 20 17:55:26 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b04a6b8c

dev-python/vecrec: PEP517 (using flit), enable py3.11

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/vecrec/vecrec-0.3.1-r1.ebuild | 33 ++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-python/vecrec/vecrec-0.3.1-r1.ebuild 
b/dev-python/vecrec/vecrec-0.3.1-r1.ebuild
new file mode 100644
index 000000000000..184ce40f2281
--- /dev/null
+++ b/dev-python/vecrec/vecrec-0.3.1-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="2D vector and rectangle classes"
+HOMEPAGE="https://github.com/kxgames/vecrec
+       https://pypi.org/project/vecrec/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+KEYWORDS="~amd64"
+SLOT="0"
+
+RDEPEND="dev-python/autoprop[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -e '/addopts/d' -i tests/pytest.ini || die
+       sed -e '/build-backend/s/flit.buildapi/flit_core.buildapi/' \
+               -e '/requires/s/flit/flit_core/' -i pyproject.toml || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       epytest tests
+}

Reply via email to